summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-11-13 20:04:25 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2013-11-13 20:04:25 +0100
commit0b3dfd5b3eb3eafb9fc731446e0c840e791c5c27 (patch)
tree5f06541a56ef11ac3daad24c54c793d9946d0d5b
parent895b343e0f6e74f4e214540e4231bbe20cd96d8f (diff)
refresh list of required tools
-rw-r--r--README3
-rw-r--r--scripts/scan-tools.sh12
2 files changed, 9 insertions, 6 deletions
diff --git a/README b/README
index c46e0a167..7d6b5bb6d 100644
--- a/README
+++ b/README
@@ -15,6 +15,9 @@ Before you can start you need to install some tools:
- patch
- gzip
- bzip2
+- lzop
+- lzma
+- xz
- wget
- libc headers
- ncurses5 headers
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 0b7b1d08c..a060d24fc 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -112,6 +112,12 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
+if ! which bzip2 >/dev/null 2>&1; then
+ echo You must install bzip2 to continue.
+ echo
+ out=1
+fi
+
if ! which lzop >/dev/null 2>&1; then
echo You must install lzop to continue.
echo
@@ -130,12 +136,6 @@ if ! which xz >/dev/null 2>&1; then
out=1
fi
-if ! which bzip2 >/dev/null 2>&1; then
- echo You must install bzip2 to continue.
- echo
- out=1
-fi
-
if ! which patch >/dev/null 2>&1; then
echo You must install patch to continue.
echo